Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class AbstractProtobufProcessInstanceMarshaller

    java.lang.Object
      org.jbpm.marshalling.impl.AbstractProtobufProcessInstanceMarshaller

All Implemented Interfaces:
  ProcessInstanceMarshaller

Direct Known Subclasses:
  ProtobufRuleFlowProcessInstanceMarshaller

    public abstract class AbstractProtobufProcessInstanceMarshaller

extends Object
implements ProcessInstanceMarshaller

Default implementation of a process instance marshaller.

Constructor Summary
`AbstractProtobufProcessInstanceMarshaller()`

Method Summary
`protected abstract WorkflowProcessInstanceImpl` | `createProcessInstance()`
`NodeInstance` | `readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context, NodeInstanceContainer nodeInstanceContainer, WorkflowProcessInstance processInstance)`
`protected NodeInstanceImpl` | `readNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance _node, org.drools.core.marshalling.impl.MarshallerReaderContext context, WorkflowProcessInstance processInstance)`
`ProcessInstance` | `readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`JBPMMessages.ProcessInstance.NodeInstance` | `writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, NodeInstance nodeInstance)`
`protected JBPMMessages.ProcessInstance.NodeInstanceContent` | `writeNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance.Builder _node, NodeInstance nodeInstance, org.drools.core.marshalling.impl.MarshallerWriteContext context)`
`JBPMMessages.ProcessInstance` | `writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, ProcessInstance processInstance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProtobufProcessInstanceMarshaller

    public AbstractProtobufProcessInstanceMarshaller()

Method Detail

### writeProcessInstance

    public JBPMMessages.ProcessInstance writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                             ProcessInstance processInstance)
                                                      throws IOException

  Specified by:
    `writeProcessInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### writeNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstance writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                                       NodeInstance nodeInstance)
                                                                throws IOException

  Specified by:
    `writeNodeInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### writeNodeInstanceContent

    protected JBPMMessages.ProcessInstance.NodeInstanceContent writeNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance.Builder _node,
                                                                                        NodeInstance nodeInstance,
                                                                                        org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                                                                 throws IOException

  Throws:
    `IOException`

### readProcessInstance

    public ProcessInstance readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                        throws IOException

  Specified by:
    `readProcessInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### createProcessInstance

    protected abstract WorkflowProcessInstanceImpl createProcessInstance()

### readNodeInstance

    public NodeInstance readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                         NodeInstanceContainer nodeInstanceContainer,
                                         WorkflowProcessInstance processInstance)
                                  throws IOException

  Specified by:
    `readNodeInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### readNodeInstanceContent

    protected NodeInstanceImpl readNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance _node,
                                                       org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                       WorkflowProcessInstance processInstance)
                                                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.